BaseBpGraphComponent::BlueNode Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
BaseBpGraphComponent::BlueNode Class Reference

## Detailed Description

This class represents the blue nodes of the graph. The blue nodes can also be used as normal nodes.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for BaseBpGraphComponent::BlueNode:
[legend]

## Public Member Functions
| BlueNode ()
| Default constructor. More...
| BlueNode (const BlueNode &)
| Copy constructor. More...
| BlueNode (Invalid)
| Constructor for conversion from `INVALID`. More...
| BlueNode (const Node &)
| Constructor for conversion from a node. More...
Public Member Functions inherited from GraphItem
| GraphItem ()
| Default constructor. More...
| GraphItem (const GraphItem &)
| Copy constructor. More...
| GraphItem (Invalid)
| Constructor for conversion from `INVALID`. More...
GraphItem & | operator= (const GraphItem &)
| Assignment operator. More...
GraphItem & | operator= (Invalid)
| Assignment operator for INVALID. More...
bool | operator== (const GraphItem &) const
| Equality operator. More...
bool | operator!= (const GraphItem &) const
| Inequality operator. More...
bool | operator< (const GraphItem &) const
| Ordering operator. More...

## Constructor & Destructor Documentation

BlueNode | ( |  | ) |
| inline

Default constructor.

Warning
  The default constructor is not required to set the item to some well-defined value. So you should consider it as uninitialized.

BlueNode | ( | const BlueNode & |  | ) |
| inline

Copy constructor.

BlueNode | ( | Invalid |  | ) |
| inline

Constructor for conversion from `INVALID`. It initializes the item to be invalid.

See Also
  Invalid for more details.

BlueNode | ( | const Node & |  | ) |
| inline

Constructor for conversion from a node. The conversion can be invalid, since the Node can be member of the red set.